vowels = {
	"َ" : "æ",
	"ِ" : "e",
	"ُ" : "o",
	"آ" : "ɒː",
	"ا" : "ɒː",
	"ی" : "iː",
	"و" : "uː",
	"ْ" : ""
}

consonants = {
	"ب" : "b",
	"پ" : "pʰ",
	"ت" : "tʰ",
	"ث" : "s",
	"ج" : "dʒ",
	"چ" : "tʃʰ",
	"ح" : "h",
	"خ" : "x",
	"د" : "d",
	"ذ" : "z",
	"ر" : "ɾ",
	"ز" : "z",
	"ژ" : "ʒ",
	"س" : "s",
	"ش" : "ʃ",
	"ص" : "s",
	"ض" : "z",
	"ط" : "tʰ",
	"ظ" : "z",
	"ع" : "ʔ",
	"غ" : "q",
	"ف" : "f",
	"ق" : "q",
	"ک" : "kʰ",
	"گ" : "ɡ",
	"ل" : "l",
	"م" : "m",
	"ن" : "n",
	"و" : "v",
	"ه" : "h",
	"ی" : "j",
	"ء" : "ʔ",
	"ئ" : "ʔ",
	"ا" : "ʔ",
	"آ" : "ʔɒː"
}

pos_to_fa = {
	"ص." : "ADJ",
	"اِ." : "N",
	"اِمص." : "V",
	"اِمر." : "N",

}

IPA_additives = {
	'م' : 'æm',
	'ی' : 'iː',
	'یم' : 'iːm',
	'ید' : 'iːd',
	'ند' : 'ænd',
	'ه' : 'e',
	'ه‌ام' : 'eʔæm',
	'ه‌ای' : 'eʔiː',
	'ه‌ایم' : 'eʔiːm',
	'ه‌اید' : 'eʔiːd',
	'ه‌اند' : 'eʔænd',
	'ب' : 'be',
	'ن' : 'næ',
	'می' : 'miː',
	'نمی' : 'nemiː',
	'یی' : 'jiː',
	'تر' : 'tʰær',
	'ترین' : 'tʰæriːn',
	'ت' : 'ætʰ',
	'ش' : 'æʃ',
	'‌ام' : 'ʔæm',
	'‌ات' : 'ʔætʰ',
	'‌اش' : 'ʔæʃ',
	'مان' : 'mɒːn',
	'تان' : 'tʰɒːn',
	'شان' : 'ʃɒːn',
	'ان' : 'ɒːn',
	'ها' :'hɒː',
	'های' : 'hɒːje',
}

eraab_additives = {
	'م' : 'َم',
	'ی' : 'ی',
	'یم' : 'یم',
	'ید' : 'ید',
	'ند' : 'َند',
	'ه' : 'ه',
	'ه‌ام' : 'ه‌اَم',
	'ه‌ای' : 'ه‌ای',
	'ه‌ایم' : 'ه‌ایم',
	'ه‌اید' : 'ه‌اید',
	'ه‌اند' : 'ه‌اند',
	'ب' : 'بِ',
	'ن' : 'نَ',
	'می' : 'می‌',
	'نمی' : 'نِمی‌',
	'ی' : 'ی',
	'یی' : 'یی',
	'تر' : 'تَر',
	'ترین' : 'تَرین',
	'ت' : 'َت',
	'ش' : 'َش',
	'‌ام' : 'اَم',
	'‌ات' : 'اَت',
	'‌اش' : 'اَش',
	'مان' : 'مان',
	'تان' : 'تان',
	'شان' : 'شان',
	'ان' : 'ان',
	'ها' : 'ها',
	'های' : 'های',
}